describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/breakfast')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/meals')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/breakfast')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Overnight Oats')
            .should('contain', 'Breakfast Burrito')
            .should('contain', 'Healthy Pancakes')
        })
        it('oats link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/overnightoats')
          })
          it('pancakes link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/pancakes')
          })
          it('burrito link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/breakfastburrito')
          })
    })